Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.common.namedRecordPipe
Class Pipe

    java.lang.Object
      kieker.common.namedRecordPipe.Pipe

    public final class Pipe

extends Object

This implementation represents a simple pipe that can be used by readers and writers to transfer monitoring records.

Since:
  1.3
Author:
  Andre van Hoorn

Constructor Summary
`Pipe(String name)` Creates a new instance of this class using the given parameters.

Method Summary
`void` | `close()` This method closes the pipe and notifies the pipe reader about this event as well.
`String` | `getName()` Delivers the name of this pipe.
`void` | `setPipeReader(IPipeReader pipeReader)` Sets the pipe reader to a new value.
`boolean` | `writeMonitoringRecord(IMonitoringRecord monitoringRecord)` Passes the monitoring record to the registered pipe reader.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pipe

    public Pipe(String name)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `name` - The name of the pipe.

Method Detail

### setPipeReader

    public void setPipeReader(IPipeReader pipeReader)

  Sets the pipe reader to a new value. The pipe reader will be informed about new records.

  Parameters:
    `pipeReader` - The new pipe reader.

### getName

    public String getName()

  Delivers the name of this pipe.

  Returns:
    The name of the pipe.

### writeMonitoringRecord

    public boolean writeMonitoringRecord(IMonitoringRecord monitoringRecord)

  Passes the monitoring record to the registered pipe reader.

  Parameters:
    `monitoringRecord` - The monitoring record to write into the pipe.
  Returns:
    true on success; false otherwise.

### close

    public void close()

  This method closes the pipe and notifies the pipe reader about this event as well.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net